﻿Imports System.Data.SqlClient
Imports System.Configuration
Namespace nmGestionDatos
#Region "GestionDatos"
    Public Class Datos

        Dim strConn$ = ConfigurationManager.ConnectionStrings("appConn").ConnectionString
        Public objConn = New SqlClient.SqlConnection(strConn)
        Public Sub AbrirCerrarConexion()
            Try
                If objConn.State = ConnectionState.Closed Then objConn.Open() : Exit Sub
                If objConn.State = ConnectionState.Open Then objConn.Close()
            Catch ex As Exception
                MsgBox("Se ha producido el siguiente error " + ex.Message)
            End Try
        End Sub

        Function Buscar(ByVal cSQL$) As SqlClient.SqlDataReader
            Try
                Dim objCmd As New SqlClient.SqlCommand(cSQL, objConn)
                Return objCmd.ExecuteReader
            Catch ex As Exception
                Return Nothing
            End Try
        End Function

        Sub Procesar(ByVal cSQL$)
            AbrirCerrarConexion()
            Dim trans As SqlTransaction
            trans = objConn.BeginTransaction
            Dim objcmd As New SqlClient.SqlCommand(cSQL, objConn)
            objcmd.Transaction = trans
            objcmd.ExecuteNonQuery()
            Try
                trans.Commit()
                MsgBox("Transacción realizada exitosamente...", _
                MsgBoxStyle.Information, "Transacción realizada")
            Catch ex As Exception
                trans.Rollback()
                MsgBox(ex.Message())
            End Try
            AbrirCerrarConexion()
        End Sub

        Public Sub Traer_Datos(ByRef lector As DataSet, ByVal cadSQL$)
            Dim objdata As New SqlClient.SqlDataAdapter(cadSQL, strConn)
            objdata.Fill(lector)
        End Sub
    End Class
#End Region
End Namespace

