﻿Public Class frmCuentas
    Sub BuscarCliente()
        cSQL = "Select *From tbClientes where ClienteID='" & _
                                         txtIdCliente.Text & "'"
        aux.AbrirCerrarConexion()
        Try
            dreader = aux.Buscar(cSQL)
            dreader.Read()
            If dreader.HasRows = True Then
                txtNombreCliente.Text = "" & dreader.Item("Nombre")
                txtDireccion.Text = dreader.Item("Direccion")
                txtTelefono.Text = dreader.Item("Telefono")
            Else
                MsgBox("Cliente No Existe!")
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        aux.AbrirCerrarConexion()
    End Sub

    Sub CargarUltimaCuenta()
        cSQL = "Select *from tbCuentas " & _
               " where cuentaID = (select max(cuentaID) from tbCuentas)"
        aux.AbrirCerrarConexion()
        Try
            dreader = aux.Buscar(cSQL)
            dreader.Read()
            If dreader.HasRows = True Then
                txtIdCuenta.Text = dreader.Item("CuentaID")
                txtMonto.Focus()
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
        aux.AbrirCerrarConexion()
    End Sub

    Private Sub btnCrear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCrear.Click
        Dim SQL = "Insert Into tbCuentas(Fecha_Apertura,Saldo) " & _
                  "Values(" & dtFecha.Value.Date & "," & _
                  Convert.ToDouble(txtMonto.Text) & ")"
        Try
            aux.Procesar(SQL)
            CargarUltimaCuenta()
            txtIdCliente.Focus()
            GroupBox1.Enabled = False
            GroupBox2.Enabled = True
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
    Private Sub txtIdCliente_KeyPress1(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles txtIdCliente.KeyPress
        If Asc(e.KeyChar) = 13 Then BuscarCliente()
    End Sub
    Sub ActualizarGrid()
        Dim SQL = "SELECT tbClientes.ClienteID, tbClientes.Apellidos, tbClientes.Nombre," & _
        "tbClientes.Direccion, tbCuentasCliente.CuentaID " & _
        "FROM tbClientes INNER JOIN tbCuentasCliente " & _
        "ON tbClientes.ClienteID = tbCuentasCliente.ClienteID " & _
        "WHERE (tbCuentasCliente.ClienteID = '" & txtIdCliente.Text & _
        "' And tbCuentasCliente.CuentaID =" & txtIdCuenta.Text & ")"
        Try
            aux.Traer_Datos(dst, SQL)
            DataGridView1.DataSource = dst.Tables(0)
            DataGridView1.Refresh()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
    Private Sub btnAsignar_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAsignar.Click
        Dim SQL = "Insert Into tbCuentasCliente(ClienteID,CuentaID) " & _
                  "Values(" & txtIdCliente.Text & "," & _
                  Convert.ToInt32(txtIdCuenta.Text) & ")"
        Try
            aux.Procesar(SQL)
            ActualizarGrid()
            txtNombreCliente.Clear()
            txtTelefono.Clear()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub

End Class