﻿Imports System.Data.SqlServerCe
Namespace nmGestionDatos
    Public Class Data
        'Creamos la cadena de conexion
        Dim pathDir = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetName().CodeBase)
        Dim pathDB = System.IO.Path.Combine(pathDir, "dbPedidos.sdf")
        Dim connectionString = String.Empty
        Dim strConn = String.Format("Data Source={0}", pathDB)

        Public objConn As New SqlCeConnection(strConn)
        Public Sub AbrirCerrarConexion()
            Try
                If objConn.State = System.Data.ConnectionState.Closed Then objConn.Open() : Exit Sub
                If objConn.State = System.Data.ConnectionState.Open Then objConn.Close()
            Catch ex As Exception
                MsgBox("Se ha producido el siguiente error " + ex.Message)
            End Try
        End Sub

        Function Buscar(ByVal cSQL$) As SqlCeDataReader
            Try
                Dim objCmd As New SqlCeCommand(cSQL, objConn)
                Return objCmd.ExecuteReader
            Catch ex As Exception
                Return Nothing
            End Try
        End Function

        Sub Procesar(ByVal cSQL$)
            Try
                Dim objcmd As New SqlCeCommand(cSQL, objConn)
                objcmd.ExecuteNonQuery()
            Catch ex As Exception
                MsgBox(ex.Message())
            End Try
        End Sub

        Public Sub Traer_Datos(ByRef lector As System.Data.DataSet, ByVal cadSQL$)
            Dim x As New SqlCeDataAdapter
            x.Fill(lector)
        End Sub
    End Class
End Namespace

